/* $Id: main.h,v 1.3 2001/06/29 16:04:29 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	DST data generator...

-----------------------------------------------------------------------*/
#if !defined _MAIN_H_INCLUDED_
#define _MAIN_H_INCLUDED_

#include <platform.h>
#include <async.h>
#include <ustime.h>
#include <version.h>

#include "dst.h"
#include "mem.h"
#include "log.h"

/* Constants ----------------------------------------------------------*/

#define DFL_RATE	100.0
#define DFL_FREQ	0.1
#define DFL_AMP		10000.0

/* Types --------------------------------------------------------------*/
typedef struct TAG_MAIN_ARGS {
	DST_ARGS dst_args;
	REAL64 rate;
	REAL64 frequency;
	REAL64 amplitude;
} MAIN_ARGS;

typedef struct TAG_DATA {
	USTIME time;
	USTIME period;
	size_t i;
	size_t n;
	INT16 *x;
	INT16 *y;
	INT16 *z;
} DATA;

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/

#endif
