/* $Id: swap.h,v 1.4 2001/09/25 01:12:10 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	Byte swapping...

-----------------------------------------------------------------------*/
#if !defined _SWAP_H_INCLUDED_
#define _SWAP_H_INCLUDED_

#include <platform.h>

/* Constants ----------------------------------------------------------*/
#define ENDIAN_NATIVE		0
#define ENDIAN_BIG			1
#define ENDIAN_LITTLE		2

/* Types --------------------------------------------------------------*/

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
VOID SetByteOrder(UINT8 order);
BOOL SwappingBytes(VOID);
UINT8 GetByteOrder(VOID);
INT16 SwapINT16(INT16 native);
INT32 SwapINT32(INT32 native);
INT64 SwapINT64(INT64 native);
REAL32 SwapREAL32(REAL32 native);
REAL64 SwapREAL64(REAL64 native);

#endif
