/* $Id: main.h,v 1.2 2001/06/29 16:04:31 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

    Main include for grfd.

-----------------------------------------------------------------------*/

#if ! defined MAIN_H_INCLUDED
#define MAIN_H_INCLUDED

#include <platform.h>
#include <ustime.h>
#include <version.h>

/* Constants ----------------------------------------------------------*/
#define MAX_PATH_LEN		255

/* Types --------------------------------------------------------------*/
typedef struct TAG_MAIN_ARGS {
	int argc;
	char **argv;
} MAIN_ARGS;

/* Other includes -----------------------------------------------------*/
#include "grfthread.h"
#include "server.h"

/* Prototypes ---------------------------------------------------------*/
THREAD_FUNC MainThread(VOID *argument);
VOID HexDump(UINT32 loglevel, VOID *ptr, size_t length);

/* Macros -------------------------------------------------------------*/

#endif
