/* $Id: main.h,v 1.6 2003/10/15 17:26:58 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	GRF packet logging utility main module include...

-----------------------------------------------------------------------*/
#if !defined _MAIN_H_INCLUDED_
#define _MAIN_H_INCLUDED_

#include <platform.h>
#include "sock.h"
#include <grf.h>
#include "log.h"

#include <version.h>

/* Constants ----------------------------------------------------------*/
#define DFL_PORT		 		GRF_REGISTERED_PORT

/* Types --------------------------------------------------------------*/
typedef struct TAG_MAIN_ARGS {
	CHAR input_spec[MAX_PATH_LEN + 1];
	CHAR output_spec[MAX_PATH_LEN + 1];
	CHAR capture_spec[MAX_PATH_LEN + 1];
	FILE *file;
	FILE *output;
	ENDPOINT endpoint;
	SOCKET socket;
	USTIME read_timeout;
	BOOL terse;
	BOOL verbose;
	BOOL debug;
	BOOL nodata;
	BOOL avgs;
	BOOL info_only;
	BOOL kill_info;
	CHAR pps_stn[GRF_MAX_STN_LEN + 1];
	CHAR pps_comp[GRF_MAX_COMP_LEN + 1];
} MAIN_ARGS;

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
BOOL QuitRequested(VOID);
VOID RequestQuit(BOOL request);
VOID HexDump(UINT32 loglevel, VOID *ptr, size_t length);

#endif
