/* $Id: connection.h,v 1.3 2001/06/29 16:04:32 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	Server connections...

-----------------------------------------------------------------------*/
#if !defined _CONNECTION_H_INCLUDED_
#define _CONNECTION_H_INCLUDED_

#include <platform.h>
#include "sock.h"
#include <grf.h>
#include "log.h"
#include "mem.h"
#include "queues.h"

/* Constants ----------------------------------------------------------*/

/* Types --------------------------------------------------------------*/
typedef struct TAG_CONNECTION {
	struct TAG_CONNECTION *next;
	MUTEX mutex;
	THREAD thread_id;
	BOOL stop;
	BOOL running;
	H_QUEUE empties;
	H_QUEUE input;
	ENDPOINT endpoint;
	SOCKET socket;
	USTIME timeout;
} CONNECTION;


/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
BOOL ConnectionThreadStart(CONNECTION * connection);

#endif
