/* $Id: win32svc.h,v 1.1 2002/01/03 20:19:40 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2001 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

    Windows NT/2k service functions...	

-----------------------------------------------------------------------*/
#if !defined _WIN32SVC_H_INCLUDED_
#define _WIN32SVC_H_INCLUDED_

#include <platform.h>
#include <ustime.h>
#include <version.h>

/* Constants ----------------------------------------------------------*/
#define SERVICE_NAME "grftrig"
#define DISPLAY_NAME "GRF trigger"

/* Types --------------------------------------------------------------*/

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
BOOL ServiceInstall(VOID);
BOOL ServiceRemove(VOID); 
BOOL ServiceStart(VOID);
BOOL ServiceStop(VOID);
BOOL ServiceStatus(VOID);

#if defined WIN32
    BOOL IsService(VOID);
    VOID WINAPI ServiceMain(DWORD argc, LPTSTR * argv);
#else
#   define IsService() (FALSE)
#endif

VOID ServiceDebugMessage(CHAR *format, ...);

#endif
