/* $Id: serialize.h,v 1.5 2004/02/04 03:25:26 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (c) 2000-2004 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	Serialization routines.

-----------------------------------------------------------------------*/
#if !defined _SERIALIZE_H_INCLUDED_
#define _SERIALIZE_H_INCLUDED_

#include "platform.h"

/* Constants ----------------------------------------------------------*/

/* Types --------------------------------------------------------------*/

/* Serialization template */
typedef struct _TEMPLATE {
	size_t offset;
	size_t length;
	BOOL swap;
} TEMPLATE;

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
size_t Serialize(VOID *structure, TEMPLATE * stemplate, UINT8 *out_ptr);
size_t Deserialize(VOID *structure, TEMPLATE * stemplate, UINT8 *in_ptr);

#endif
