/* $Id: config.h,v 1.6 2002/11/14 22:35:25 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	Configuration...

-----------------------------------------------------------------------*/
#if !defined _CONFIG_H_INCLUDED_
#define _CONFIG_H_INCLUDED_

#include "main.h"

/* Constants ----------------------------------------------------------*/
#define DFL_CONF_FILE 		"./grf2ew.d"

/* Types --------------------------------------------------------------*/
typedef struct TAG_CMDLINE_ARGS {
	BOOL daemon;
	BOOL debug;
	BOOL correct_rate;
	USTIME read_timeout;
	USTIME heartbeat;
	CHAR input_spec[MAX_PATH_LEN + 1];
	CHAR ring[MAX_RING_NAME_LEN + 1];
	CHAR facility[MAX_PATH_LEN + 1];
	CHAR logfile[MAX_PATH_LEN + 1];
	CHAR confile[MAX_PATH_LEN + 1];
	ENDPOINT endpoint;
} CMDLINE_ARGS;

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
BOOL Configure(MAIN_ARGS * args);
VOID DumpConfiguration(MAIN_ARGS * args);

#endif
