/* $Id: main.h,v 1.2 2002/01/25 21:54:02 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	GRF packet checker utility main module include...

-----------------------------------------------------------------------*/
#if !defined _MAIN_H_INCLUDED_
#define _MAIN_H_INCLUDED_

#include <platform.h>
#include "sock.h"
#include <grf.h>
#include "log.h"

#include <version.h>

/* Constants ----------------------------------------------------------*/
#define DFL_PATH                "./"
#define DFL_N   		 		0
#define DFL_LENGTH		 		UST_HOUR
#define DFL_NAME_FORMAT         "%Y%d%h%m%s%ms_%l%lm_%u.grf"

/* Types --------------------------------------------------------------*/
typedef struct TAG_MAIN_ARGS {
	CHAR input_spec[MAX_PATH_LEN + 1];
	CHAR output_path[MAX_PATH_LEN + 1];
    CHAR name_format[MAX_PATH_LEN + 1];
    UINT32 n;
    USTIME length;
    BOOL verbose;

	FILE *file;
	FILE *output;
} MAIN_ARGS;

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
BOOL QuitRequested(VOID);
VOID RequestQuit(BOOL request);
VOID HexDump(UINT32 loglevel, VOID *ptr, size_t length);

#endif
