/* $Id: master_thread.h,v 1.3 2001/06/29 16:04:31 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------

	TDMA master radio connections...

-----------------------------------------------------------------------*/
#if !defined _MASTER_THREAD_H_INCLUDED_
#define _MASTER_THREAD_H_INCLUDED_

#include <platform.h>
#include "sock.h"
#include <grf.h>
#include "log.h"
#include "mem.h"
#include "queues.h"
#include "fwtdma.h"

/* Constants ----------------------------------------------------------*/

/* Types --------------------------------------------------------------*/
typedef struct TAG_MASTER {
	struct TAG_MASTER *next;
	MUTEX mutex;
	THREAD thread_id;
	BOOL stop;
	BOOL running;
	H_QUEUE empties;
	H_QUEUE input;
	MASTER_ARGS args;
	H_ASYNC handle;
} MASTER;


/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
VOID MasterSetDefaults(MASTER * master);
BOOL MasterThreadStart(MASTER * master);

#endif
