/* $Id: repository.h,v 1.3 2001/10/30 02:31:05 cvs Exp $ */
/*-----------------------------------------------------------------------
    Copyright (C) 2000 - Robert Banfill - All rights reserved.
-------------------------------------------------------------------------
	
	Repository routines...

-----------------------------------------------------------------------*/
#if !defined _RESPOSITORY_H_INCLUDED_
#define _RESPOSITORY_H_INCLUDED_

#include <platform.h>
#include "threads.h"

/* Constants ----------------------------------------------------------*/
#define DFL_NAME_FMT "%Y%d%h%m%s_%l_%u.grf"

/* Types --------------------------------------------------------------*/
typedef struct TAG_REPOS_ARGS {
	CHAR path[MAX_PATH_LEN + 1];			/* Repository path */
    CHAR name_fmt[MAX_PATH_LEN + 1];
	UINT32 rec_length;						/* Record length in seconds */
	UINT32 queue_depth;
} REPOS_ARGS;

/* Macros -------------------------------------------------------------*/

/* Prototypes ---------------------------------------------------------*/
VOID ReposSetDefaults(REPOS_ARGS * args);
BOOL ReposThreadStart(REPOS_ARGS * args, H_QUEUE empties_queue);
BOOL ReposThreadStop(BOOL join);
BOOL ReposThreadIsRunning(VOID);

#endif
